Subject: Re: Guix System hangs after boot with linux-libre 5.15.17

From: Leo Famulari <[email-masked]>
Date: Tue, 1 Feb 2022 17:09:54 -0500

On Tue, Feb 01, 2022 at 03:39:27PM -0500, Leo Famulari wrote:
> Guix System on x86_64 hangs after boot when reconfigured to use
> linux-libre 5.15.17.

More anecdata:

While I build Linux 5.15.17 (not linux-libre) using the Guix kernel
config, adapted for Debian, it works fine on Debian.

The only changes required for Debian are:

1) Switch from CONFIG_MODULE_COMPRESS_GZIP to CONFIG_MODULE_COMPRESS_XZ
2) Set CONFIG_MODPROBE_PATH=/sbin/modprobe

This Debian kernel doesn't use the config options set in ((gnu packages
linux) %default-extra-linux-options), so it's not a very useful point of
comparison.